import lunr from 'lunr';
import $ from 'jquery';

function search(element) {
    return new Promise(function (resolve, reject) {
        $.get('/documents.json', function (documents) {
            let idx = lunr(function () {
                this.ref('url')
                this.field('title')
                this.field('body')

                let lunridx = this
                $.each(documents, function (index, doc) {
                    lunridx.add(doc)
                })
            })

            resolve({
                element: element,
                idx: idx
            })
        })
    })
}

export default search;
